/* ObjectManager - The OraSoft Oracle DBA Tool
 *
 * Copyright  Matthew Chappee <matthew@orasoft.org>
 *             Paul Flinders <paul@orasoft.org>
 *             Brent Gilmore <brent@orasoft.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "include/objectman.h"
#include "viewfuncs.h"
#include "../tables/tablefuncs.h"

GtkWidget*
create_viewmenu (
    gpointer       data)
{
    GtkWidget	   *viewmenu;
    GtkAccelGroup  *viewmenu_accels;
    guint	   tmp_key;
    GtkWidget	   *vw_refresh;
    GtkWidget	   *vw_create;
    GtkWidget	   *vw_delete;
/*    GtkWidget	   *vw_rename;*/
    GtkWidget	   *vw_separator1;
    GtkWidget	   *vw_export;
    GtkWidget	   *vw_export_menu;
    GtkAccelGroup  *vw_export_menu_accels;
    GtkWidget	   *vw_export_csv;
    GtkWidget	   *vw_export_html;
    GtkWidget	   *vw_export_sql;
/*    GtkWidget	   *vw_script; */
    GtkTooltips	   *tooltips;
    GtkWidget	   *view_separator2;
    GtkWidget	   *view_grant_privilege;
    GtkWidget      *dl_export;

    tooltips = gtk_tooltips_new ();

    viewmenu = gtk_menu_new ();
    gtk_object_set_data (GTK_OBJECT (viewmenu), "viewmenu", viewmenu);
    viewmenu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (viewmenu));

    vw_refresh = gtk_menu_item_new_with_label ("");
    tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (vw_refresh)->child),
				     _("_Refresh"));
    gtk_widget_add_accelerator (vw_refresh, "activate_item", viewmenu_accels,
				tmp_key, 0, 0);
    gtk_widget_ref (vw_refresh);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_refresh", vw_refresh,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_refresh);
    gtk_container_add (GTK_CONTAINER (viewmenu), vw_refresh);
    gtk_tooltips_set_tip (tooltips, vw_refresh, _("Refresh the view info display"), NULL);

    vw_create = gtk_menu_item_new_with_label ("");
    tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (vw_create)->child),
				     _("_Create"));
    gtk_widget_add_accelerator (vw_create, "activate_item", viewmenu_accels,
				tmp_key, 0, 0);
    gtk_widget_ref (vw_create);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_create", vw_create,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_create);
    gtk_container_add (GTK_CONTAINER (viewmenu), vw_create);
    gtk_tooltips_set_tip (tooltips, vw_create, _("Create new view"), NULL);

    vw_delete = gtk_menu_item_new_with_label ("");
    tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (vw_delete)->child),
				     _("_Drop"));
    gtk_widget_add_accelerator (vw_delete, "activate_item", viewmenu_accels,
				tmp_key, 0, 0);
    gtk_widget_ref (vw_delete);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_delete", vw_delete,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_delete);
    gtk_container_add (GTK_CONTAINER (viewmenu), vw_delete);
    gtk_tooltips_set_tip (tooltips, vw_delete, _("Drop view from database"), NULL);

/*    vw_rename = gtk_menu_item_new_with_label ("");
    tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (vw_rename)->child),
				     _("Re_name"));
    gtk_widget_add_accelerator (vw_rename, "activate_item", viewmenu_accels,
				tmp_key, 0, 0);
    gtk_widget_ref (vw_rename);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_rename", vw_rename,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_rename);
    gtk_container_add (GTK_CONTAINER (viewmenu), vw_rename);
    gtk_tooltips_set_tip (tooltips, vw_rename, _("Rename view"), NULL);*/

    vw_separator1 = gtk_menu_item_new ();
    gtk_widget_ref (vw_separator1);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_separator1", vw_separator1,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_separator1);
    gtk_container_add (GTK_CONTAINER (viewmenu), vw_separator1);
    gtk_widget_set_sensitive (vw_separator1, FALSE);

    vw_export = gtk_menu_item_new_with_label ("");
    tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (vw_export)->child),
				     _("_Export"));
    gtk_widget_add_accelerator (vw_export, "activate_item", viewmenu_accels,
				tmp_key, 0, 0);
    gtk_widget_ref (vw_export);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_export", vw_export,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_export);
    gtk_container_add (GTK_CONTAINER (viewmenu), vw_export);
    gtk_tooltips_set_tip (tooltips, vw_export, _("Export data from view"), NULL);

    vw_export_menu = gtk_menu_new ();
    gtk_widget_ref (vw_export_menu);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_export_menu", vw_export_menu,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_menu_item_set_submenu (GTK_MENU_ITEM (vw_export), vw_export_menu);
    vw_export_menu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (vw_export_menu));

    vw_export_csv = gtk_menu_item_new_with_label (_("csv"));
    gtk_widget_ref (vw_export_csv);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_export_csv", vw_export_csv,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_export_csv);
    gtk_container_add (GTK_CONTAINER (vw_export_menu), vw_export_csv);
    gtk_tooltips_set_tip (tooltips, vw_export_csv, _("Export data from view as a csv file"), NULL);

    vw_export_html = gtk_menu_item_new_with_label (_("html"));
    gtk_widget_ref (vw_export_html);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_export_html", vw_export_html,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_export_html);
    gtk_container_add (GTK_CONTAINER (vw_export_menu), vw_export_html);
    gtk_tooltips_set_tip (tooltips, vw_export_html, _("Export data from view as an html table"), NULL);

    vw_export_sql = gtk_menu_item_new_with_label (_("sql"));
    gtk_widget_ref (vw_export_sql);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_export_sql", vw_export_sql,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_export_sql);
    gtk_container_add (GTK_CONTAINER (vw_export_menu), vw_export_sql);
    gtk_tooltips_set_tip (tooltips, vw_export_sql, _("Export data from view as a sql script"), NULL);


     if(obj_ginfo.dynamicexport){
        int    i;
        for (i = 0; i < obj_ginfo.total_dlinfo; i++) {
	    dl_export = gtk_menu_item_new_with_label (_(dl_info[i].dl_menuitem));
	    gtk_widget_ref (dl_export);
	    gtk_object_set_data_full (GTK_OBJECT (dl_export), "dl_id", (gpointer)dl_info[i].dl_id,
			      (GtkDestroyNotify) gtk_widget_unref);
	    gtk_widget_show (dl_export);
	    gtk_container_add (GTK_CONTAINER (vw_export_menu), dl_export);
	    gtk_signal_connect (GTK_OBJECT (dl_export), "activate",
			GTK_SIGNAL_FUNC (on_dl_export_activate),
			data);
	}
    }

    view_separator2 = gtk_menu_item_new ();
    gtk_widget_ref (view_separator2);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "view_separator2", view_separator2,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (view_separator2);
    gtk_container_add (GTK_CONTAINER (viewmenu), view_separator2);
    gtk_widget_set_sensitive (view_separator2, FALSE);

    view_grant_privilege = gtk_menu_item_new_with_label ("");
    tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (view_grant_privilege)->child),
				     _("G_rant Privilege"));
    gtk_widget_add_accelerator (view_grant_privilege, "activate_item", viewmenu_accels,
				tmp_key, 0, 0);
    gtk_widget_ref (view_grant_privilege);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "view_grant_privilege", view_grant_privilege,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (view_grant_privilege);
    gtk_container_add (GTK_CONTAINER (viewmenu), view_grant_privilege);
    gtk_tooltips_set_tip (tooltips, view_grant_privilege, _("Grant Privilege On This View"), NULL);

/*    vw_script = gtk_menu_item_new_with_label ("");
    tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (vw_script)->child),
				     _("_Script"));
    gtk_widget_add_accelerator (vw_script, "activate_item", viewmenu_accels,
				tmp_key, 0, 0);
    gtk_widget_ref (vw_script);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_script", vw_script,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_script);
    gtk_container_add (GTK_CONTAINER (viewmenu), vw_script);
    gtk_tooltips_set_tip (tooltips, vw_script, _("Save SQL definition of view to file"), NULL);*/

    gtk_signal_connect (GTK_OBJECT (vw_refresh), "activate",
			GTK_SIGNAL_FUNC (on_view_refresh_activate),
			data);
    gtk_signal_connect (GTK_OBJECT (vw_create), "activate",
			GTK_SIGNAL_FUNC (on_view_create_activate),
			data);
    gtk_signal_connect (GTK_OBJECT (vw_delete), "activate",
			GTK_SIGNAL_FUNC (on_view_delete_activate),
			data);
/*    gtk_signal_connect (GTK_OBJECT (vw_rename), "activate",
			GTK_SIGNAL_FUNC (on_view_rename_activate),
			data);*/
    gtk_signal_connect (GTK_OBJECT (vw_export_csv), "activate",
			GTK_SIGNAL_FUNC (on_view_export_csv_activate),
			data);
    gtk_signal_connect (GTK_OBJECT (vw_export_html), "activate",
			GTK_SIGNAL_FUNC (on_view_export_html_activate),
			data);
    gtk_signal_connect (GTK_OBJECT (vw_export_sql), "activate",
			GTK_SIGNAL_FUNC (on_view_export_sql_activate),
			data);
    gtk_signal_connect (GTK_OBJECT (view_grant_privilege), "activate",
			GTK_SIGNAL_FUNC (on_view_grant_privilege_activate),
			data);
/*    gtk_signal_connect (GTK_OBJECT (vw_script), "activate",
			GTK_SIGNAL_FUNC (on_view_script_activate),
			data);*/

    gtk_object_set_data (GTK_OBJECT (viewmenu), "tooltips", tooltips);

    return viewmenu;
}

GtkWidget*
create_all_viewmenu (
    gpointer	   data)
{
    GtkWidget	   *viewmenu;
    GtkAccelGroup  *viewmenu_accels;
    guint	   tmp_key;
    GtkWidget	   *vw_refresh;
    GtkTooltips	   *tooltips;

    tooltips = gtk_tooltips_new ();

    viewmenu = gtk_menu_new ();
    gtk_object_set_data (GTK_OBJECT (viewmenu), "viewmenu", viewmenu);
    viewmenu_accels = gtk_menu_ensure_uline_accel_group (GTK_MENU (viewmenu));

    vw_refresh = gtk_menu_item_new_with_label ("");
    tmp_key = gtk_label_parse_uline (GTK_LABEL (GTK_BIN (vw_refresh)->child),
				     _("_Refresh"));
    gtk_widget_add_accelerator (vw_refresh, "activate_item", viewmenu_accels,
				tmp_key, 0, 0);
    gtk_widget_ref (vw_refresh);
    gtk_object_set_data_full (GTK_OBJECT (viewmenu), "vw_refresh", vw_refresh,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vw_refresh);
    gtk_container_add (GTK_CONTAINER (viewmenu), vw_refresh);
    gtk_tooltips_set_tip (tooltips, vw_refresh, _("Refresh the view info display"), NULL);


    gtk_signal_connect (GTK_OBJECT (vw_refresh), "activate",
			GTK_SIGNAL_FUNC (on_view_all_refresh_activate),
			data);

    gtk_object_set_data (GTK_OBJECT (viewmenu), "tooltips", tooltips);

    return viewmenu;
}

