/* ObjectManager - The OraSoft Oracle DBA Tool
 *
 * Copyright  Matthew Chappee <matthew@orasoft.org>
 *             Paul Flinders <paul@orasoft.org>
 *             Brent Gilmore <brent@orasoft.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "include/witchfwsig.h"
#include "include/witchfwsrc.h"
#include "include/objectman.h"

GtkWidget*
create_witch (
    int		 npages,
    GtkWidget	 **pages)
{
    GtkWidget	 *witch;
    GtkWidget	 *hbox1;
    GtkWidget	 *frame1;
    GtkWidget	 *pixmap1;
    GtkWidget	 *vbox1;
    GtkWidget	 *notebook1;
    GtkWidget	 *hbox2;
    GtkWidget	 *wok;
    GtkWidget	 *wcan;
    GtkWidget	 *wpreview;
    GtkWidget	 *wback;
    GtkWidget	 *wnext;
    int          page;
    char         *iconfilename;

    witch = gtk_window_new (GTK_WINDOW_TOPLEVEL);
    gtk_object_set_data (GTK_OBJECT (witch), "witch", witch);
    gtk_window_set_title (GTK_WINDOW (witch), "window1");

    hbox1 = gtk_hbox_new (FALSE, 0);
    gtk_widget_ref (hbox1);
    gtk_object_set_data_full (GTK_OBJECT (witch), "hbox1", hbox1,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (hbox1);
    gtk_container_add (GTK_CONTAINER (witch), hbox1);

    frame1 = gtk_frame_new (NULL);
    gtk_widget_ref (frame1);
    gtk_object_set_data_full (GTK_OBJECT (witch), "frame1", frame1,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (frame1);
    gtk_box_pack_start (GTK_BOX (hbox1), frame1, FALSE, FALSE, 0);
    gtk_container_set_border_width (GTK_CONTAINER (frame1), 8);

    iconfilename = g_malloc(strlen(obj_ginfo.iconpath)+32);
    sprintf(iconfilename,"%s/witchlogo.xpm",obj_ginfo.iconpath);

    pixmap1 = obj_create_pixmap (obj_mainwin.window1, iconfilename);

    gtk_widget_ref (pixmap1);
    gtk_object_set_data_full (GTK_OBJECT (witch), "pixmap1", pixmap1,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (pixmap1);
    gtk_container_add (GTK_CONTAINER (frame1), pixmap1);

    vbox1 = gtk_vbox_new (FALSE, 0);
    gtk_widget_ref (vbox1);
    gtk_object_set_data_full (GTK_OBJECT (witch), "vbox1", vbox1,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (vbox1);
    gtk_box_pack_start (GTK_BOX (hbox1), vbox1, TRUE, TRUE, 0);

    notebook1 = gtk_notebook_new ();
    gtk_widget_ref (notebook1);
    gtk_object_set_data_full (GTK_OBJECT (witch), "notebook1", notebook1,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (notebook1);
    gtk_box_pack_start (GTK_BOX (vbox1), notebook1, TRUE, TRUE, 0);
    GTK_WIDGET_UNSET_FLAGS (notebook1, GTK_CAN_FOCUS);
    gtk_notebook_set_show_tabs (GTK_NOTEBOOK (notebook1), FALSE);
    gtk_notebook_set_show_border (GTK_NOTEBOOK (notebook1), FALSE);

    for (page = 0; page < npages; page++)
	gtk_container_add (GTK_CONTAINER (notebook1), pages[page]);

    hbox2 = gtk_hbox_new (FALSE, 12);
    gtk_widget_ref (hbox2);
    gtk_object_set_data_full (GTK_OBJECT (witch), "hbox2", hbox2,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (hbox2);
    gtk_box_pack_start (GTK_BOX (vbox1), hbox2, FALSE, FALSE, 0);
    gtk_container_set_border_width (GTK_CONTAINER (hbox2), 12);

    wok = gtk_button_new_with_label ("OK");
    gtk_widget_ref (wok);
    gtk_object_set_data_full (GTK_OBJECT (witch), "wok", wok,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (wok);
    gtk_box_pack_start (GTK_BOX (hbox2), wok, FALSE, FALSE, 0);

    wcan = gtk_button_new_with_label ("Cancel");
    gtk_widget_ref (wcan);
    gtk_object_set_data_full (GTK_OBJECT (witch), "wcan", wcan,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (wcan);
    gtk_box_pack_start (GTK_BOX (hbox2), wcan, FALSE, FALSE, 0);

    wpreview = gtk_button_new_with_label ("Preview SQL");
    gtk_widget_ref (wpreview);
    gtk_object_set_data_full (GTK_OBJECT (witch), "wpreview", wpreview,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (wpreview);
    gtk_box_pack_start (GTK_BOX (hbox2), wpreview, FALSE, FALSE, 0);

    wback = gtk_button_new_with_label ("< Back");
    gtk_widget_ref (wback);
    gtk_object_set_data_full (GTK_OBJECT (witch), "wback", wback,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (wback);
    gtk_box_pack_start (GTK_BOX (hbox2), wback, FALSE, FALSE, 0);

    wnext = gtk_button_new_with_label ("Next >");
    gtk_widget_ref (wnext);
    gtk_object_set_data_full (GTK_OBJECT (witch), "wnext", wnext,
			      (GtkDestroyNotify) gtk_widget_unref);
    gtk_widget_show (wnext);
    gtk_box_pack_start (GTK_BOX (hbox2), wnext, FALSE, FALSE, 0);

    gtk_signal_connect (GTK_OBJECT (witch), "delete_event",
			GTK_SIGNAL_FUNC (on_witch_delete_event),
			NULL);
    gtk_signal_connect (GTK_OBJECT (wok), "clicked",
			GTK_SIGNAL_FUNC (on_wok_clicked),
			witch);
    gtk_signal_connect (GTK_OBJECT (wcan), "clicked",
			GTK_SIGNAL_FUNC (on_wcan_clicked),
			witch);
    gtk_signal_connect (GTK_OBJECT (wpreview), "clicked",
			GTK_SIGNAL_FUNC (on_wpreview_clicked),
			witch);
    gtk_signal_connect (GTK_OBJECT (wback), "clicked",
			GTK_SIGNAL_FUNC (on_wback_clicked),
			NULL);
    gtk_signal_connect (GTK_OBJECT (wnext), "clicked",
			GTK_SIGNAL_FUNC (on_wnext_clicked),
			NULL);

    g_free(iconfilename);
    return witch;
}

